
Redmine - Defect #31857

"DEPRECATION WARNING: warning: white_list_sanitizer isdeprecated" while running tests

2019-08-07 06:30 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

You can reproduce it with rails-html-sanitizer 1.1.0. Run bundle update rails-html-sanitizer before testing.

$ ruby test/unit/lib/redmine/field_format/field_format_test.rb

Run options: --seed 28405

# Running:

.......DEPRECATION WARNING: warning: white_list_sanitizer isdeprecated, please use safe_list_sanit

izer instead. (called from formatted_value at /Users/maeda/redmines/trunk/lib/redmine/field_format

.rb:409)

...

History

#1 - 2019-08-09 02:18 - Yuichi HARADA

Since rails-html-sanitizer 1.2.0 has been released, "DEPRECATION WARNING:" message will no longer be displayed.

https://github.com/rails/rails-html-sanitizer/compare/v1.1.0...v1.2.0

#2 - 2019-08-09 02:47 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Yuichi HARADA wrote:

Since rails-html-sanitizer 1.2.0 has been released, "DEPRECATION WARNING:" message will no longer be displayed.

https://github.com/rails/rails-html-sanitizer/compare/v1.1.0...v1.2.0

 Confirmed. Thanks.

Powered by TCPDF (www.tcpdf.org)

2025-07-01 1/1

https://github.com/rails/rails-html-sanitizer/compare/v1.1.0...v1.2.0
https://github.com/rails/rails-html-sanitizer/compare/v1.1.0...v1.2.0
http://www.tcpdf.org

